Bug 40108 - mod not recognized (3c59x.o) pcmcia card not loading (3CCFE575CT)
Summary: mod not recognized (3c59x.o) pcmcia card not loading (3CCFE575CT)
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-10 17:47 UTC by David A. Lane
Modified: 2007-04-18 16:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-06 12:28:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/sysconfig/hwconf as requested (2.17 KB, text/plain)
2001-05-18 20:22 UTC, David A. Lane
no flags Details
/etc/modules.conf as requested (262 bytes, text/plain)
2001-05-18 20:24 UTC, David A. Lane
no flags Details
/etc/sysconfig/pcmcia as requested (51 bytes, text/plain)
2001-05-22 04:13 UTC, David A. Lane
no flags Details
lspci -v as reqested (2.87 KB, text/plain)
2001-05-23 00:42 UTC, David A. Lane
no flags Details

Description David A. Lane 2001-05-10 17:47:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
On initial install, RH is not recognizing the pcmcia NIC 3CCFE575CT. After 
install, pcmcia services are loaded but the 3C59x.o module will not load.  
Insmod 3c589.o fails.  Card does not "beep" when removed or reinserted 
into the bay.  TC initiated with Erika in TechSupport.  lsmod shows 
pcmica_core to be loaded.

How reproducible:
Always

Steps to Reproduce:
1.Remove and reseat the card
2.exec insmod 3c59x
3.Attempt ifup eth0 after config of eth0
	

Actual Results:  1. Nothing
2. Generates errors
3. Reports delaying initialization of eth0

Expected Results:  1. Beeps
2. No errors.  Module loaded successfully
3. Interface up, network connectivity established

Additional info:

Platform is a Dell Latitude 600.  PCMCIA card is labeled 3Com 3CCFE575CT-
D1.  Card is listed as as "Cyclone" class in Don Becker module 3c59x.c 
(www.scyld.com).

Comment 1 Brent Fox 2001-05-10 19:45:31 UTC
Can you attach your /etc/sysconfig/hwconf and /etc/modules.conf files?

Comment 2 David A. Lane 2001-05-18 20:22:13 UTC
Created attachment 18970 [details]
/etc/sysconfig/hwconf as requested

Comment 3 David A. Lane 2001-05-18 20:24:41 UTC
Created attachment 18971 [details]
/etc/modules.conf as requested

Comment 4 Brent Fox 2001-05-21 16:03:04 UTC
Bill, does this sound like a kudzu problem?  I think the yenta_socket module
isn't getting loaded...

From /etc/sysconfig/hwconf:class: SOCKET
bus: PCI
detached: 0
driver: yenta_socket
desc: "Texas Instruments|PCI1420"
vendorId: 104c
deviceId: ac51
subVendorId: 1028
subDeviceId: 00b1
pciType: 1



And then in the pcitable,
0x104c  0xac51  "unknown"       "Texas Instruments|PCI1420"

Shouldn't "unknown" be set to "yenta_socket"?


Comment 5 Bill Nottingham 2001-05-21 18:09:43 UTC
No, that's done automagically. What does /etc/sysconfig/pcmcia look like?

Comment 6 David A. Lane 2001-05-22 04:13:19 UTC
Created attachment 19251 [details]
/etc/sysconfig/pcmcia as requested

Comment 7 Bill Nottingham 2001-05-22 04:16:26 UTC
lspci -v output, *when the card is inserted*?

Comment 8 David A. Lane 2001-05-23 00:42:04 UTC
Created attachment 19353 [details]
lspci -v as reqested

Comment 9 Bill Nottingham 2001-06-22 15:23:22 UTC
Odd, it doesn't look like it's seeing the card at all. Perhaps a problem
with yenta_socket & this chipset?

Comment 10 Arjan van de Ven 2001-06-22 15:41:36 UTC
Do you happen to have more than 256Mb of memory ?

Comment 11 David A. Lane 2001-06-22 16:13:49 UTC
Actually, yes 512 Mbytes.  I wanted to be able to load and run Oracle (which I 
discovered doesn't run on 7.1 yet, but that is another story).

Comment 12 Arjan van de Ven 2001-06-22 16:18:27 UTC
You're in luck. A new erratum kernel (2.4.3-12) is being sent to the ftp and
up2date servers _right now_ and that has a workaround for a bug in the Dell
Latitude 600 bios wrt systems with > 256 megabyte of ram. 

Regarding Oracle: iirc the releasenotes tell you how to install this on
RHL 7.1, there is a workaround needed there.

Comment 13 David A. Lane 2001-06-22 17:59:25 UTC
I will go find the kernel patch - thanks.  Which release note on Oracle - the 
ones for 8.1.7 or 8.1.6?  


Comment 14 Arjan van de Ven 2001-06-22 18:07:02 UTC
The releasenotes of Red Hat Linux 7.1, they can also be found online, the url
below should give you the info you need (but I'm a kernel person, not a Oracle
person)

http://www.redhat.com/support/manuals/RHL-7.1-Manual/release-notes/s1-last-min.html

Comment 15 Arjan van de Ven 2001-06-25 17:26:43 UTC
Ok, the kernel is out and announced, could you please test it and verify
it fixes your pccard problem ?

Comment 16 David A. Lane 2001-06-25 18:36:44 UTC
I have the new kernel burned to CD and will try and install it this evening.  
Once I have it on, do I need to load the pciscan and 3c59x module, or will 
kudzu find it or are there other procedures I need to follow?

Found the Oracle references, thanks - if the kernel works, then I can start 
Oracle.

Comment 17 Arjan van de Ven 2001-06-25 18:42:31 UTC
It should be detected automatically... although some users seem to need
it physically eject/insert it the first time for some strange reason.

Comment 18 David A. Lane 2001-06-25 19:56:36 UTC
JACKPOT! We are in business (I am entering this from Mozilla on 7.1 - KDE rather
than Internet Exploder on Win2K).  Question - has the ISO image been updated
with the new kernel yet or do you know?  I would like to burn a CD with the fix
so I have it for this machine.

You all do good work!  Keep it up...on to Oracle!

DAVID
PeopleSoft Infrastructure Architech
ManTech International Corp.


Note You need to log in before you can comment on or make changes to this bug.